{
  "$schema": "https://schema.tauri.app/config/2",
  "productName": "OSTP Setup",
  "version": "0.1.0",
  "identifier": "network.ospab.ostp-setup",
  "build": {
    "beforeDevCommand": "",
    "devUrl": "http://localhost:1420",
    "beforeBuildCommand": "",
    "frontendDist": "./ui"
  },
  "app": {
    "withGlobalTauri": true,
    "windows": [
      {
        "title": "Ospab Network - Setup Wizard",
        "width": 600,
        "height": 480,
        "resizable": false,
        "center": true,
        "decorations": true,
        "transparent": false
      }
    ],
    "security": {
      "csp": "default-src 'self'; style-src 'self' 'unsafe-inline'; img-src 'self' asset: https://asset.localhost data:"
    }
  },
  "bundle": {
    "active": true,
    "targets": ["nsis"],
    "icon": [],
    "resources": ["resources/*"]
  },
  "plugins": {
    "shell": {
      "open": true
    }
  }
}
